httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Fritsch ...@sfritsch.de>
Subject Re: unsupported compression issue seen in 2.3.5-alpha
Date Sun, 14 Feb 2010 16:52:59 GMT
On Saturday 13 February 2010, Paul Querna wrote:
> However, the newest reports have been about multiple browsers,
> Firefox, Chrome, Safari, and IE8, all reporting the issue at the
>  same time.  This makes be believe that the problem is something on
>  the server side.

I assume your mail here means that the users cannot reproduce the 
problem at will and provide a tcpdump? Then maybe it would be a good 
idea to switch back to 2.2.x for some time and see if the number of 
problem reports changes? Just to verify that it is a problem in httpd 
trunk and not something else, like e.g. people migrating from squid 
2.x to 3.x.

> r821471 is the only change in the last year -- and it changes how
> buckets are used -- and I view it as suspect in relation to the
> volume of reports we have received from users, but we don't have
> any firm evidence.

There are more changes related to bucket brigade reusing, e.g. r821477 
and r814807. I guess many other changes in the core are suspect, too.
Was the 2.3.5 release the first time that a version containing those 
bucket brigade changes was installed on apache.org?

Mime
View raw message